## GtkHScrollbar

GtkHScrollbar — A horizontal scrollbar

## Functions

GtkWidget * | gtk_hscrollbar_new ()

## Types and Values

struct | GtkHScrollbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRange
                        ╰── GtkScrollbar
                            ╰── GtkHScrollbar

## Implemented Interfaces

GtkHScrollbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkHScrollbar widget is a widget arranged horizontally creating a scrollbar. See GtkScrollbar for details on scrollbars. GtkAdjustment pointers may be added to handle the adjustment of the scrollbar or it may be left `NULL` in which case one will be created for you. See GtkScrollbar for a description of what the fields in an adjustment represent for a scrollbar.

## Functions

### gtk_hscrollbar_new ()

    GtkWidget *
    gtk_hscrollbar_new (GtkAdjustment *adjustment);

Creates a new horizontal scrollbar.

#### Parameters

adjustment | the GtkAdjustment to use, or `NULL` to create a new adjustment. | [allow-none]

#### Returns

the new GtkHScrollbar

## Types and Values

### struct GtkHScrollbar

    struct GtkHScrollbar;

The GtkHScrollbar struct contains private data and should be accessed using the functions below.

## See Also

GtkScrollbar, GtkScrolledWindow